<?php
if(isset($_GET['arend']) && ($_GET['arend']=='1' || $_GET['arend']=='2' || $_GET['arend']=='3' || $_GET['arend']=='4' || $_GET['arend']=='5'))
{
$arend=$_GET['arend'];
if($arend==5)
{
$cena=22;
$timee=3600*24*3;
}
elseif($arend==4)
{
$cena=10;
$timee=3600*24;
}
elseif($arend==3)
{
$cena=3;
$timee=3600*5;
}
elseif($arend==2)
{
$cena=1;
$timee=3600;
}
elseif($arend==1 && $ku['scarecrow_day']<$time)
{
$cena=1000;
$timee=3600;
$arend_day=1;
}
if(isset($arend_day))
{
if($ku['money']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."', `scarecrow_day` = '".($time+(12*3600))."', `money` = '".($ku['money']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `pugach` = '".($ku['pugach']+1)."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['scarecrow_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=scarecrow&arend=".intval($_GET['arend'])."&ok","?shop=scarecrow");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_money']=$cena-$ku['money'];
header("Location:?shop=scarecrow");
}
}
elseif($arend==2 || $arend==3 || $arend==4 || $arend==5)
{
if($ku['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `pugach` = '".($ku['pugach']+floor($timee/3600))."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['scarecrow_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=scarecrow&arend=".intval($_GET['arend'])."&ok","?shop=scarecrow");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:?shop=scarecrow");
}
}
}
echo "<div class='event'><h1>Пугало</h1></div>
<div class='content'>
<div class='block'>
<div>
<img width='48' height='48' src='images/scarecrow.png' alt='' class='portrait'>
<span class='epic'>Пугало</span>
- устройство для отпугивания ворон.
Повышает любой опыт получаемый на грядках и в
загонах.
Сдается только в аренду.
</div>
<div style='clear:both;'></div>
<h3>Эффект</h3>
<div class='title'>
Повышает любой получаемый опыт на 100%.
</div>
<h3>Аренда</h3>
<ul>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=scarecrow&arend=5'>Арендовать</a> на 3-е суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 22 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=scarecrow&arend=4'>Арендовать</a> на сутки
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 10 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=scarecrow&arend=3'>Арендовать</a> на 5 часов
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 3 рубина)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=scarecrow&arend=2'>Арендовать</a> на 1 час
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 1 рубин)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>";
if($ku['scarecrow_day']<$time)echo "<a href='?shop=scarecrow&arend=1'>";
echo "Арендовать";
if($ku['scarecrow_day']<$time)echo "</a>";
echo " на 1 час
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/money.png' alt='o'> 1000 монет)</span>
</li>
</ul>
<div class='pt title'>
<img width='16' height='16' src='images/icons/advice.png' alt='o'>
Рекомендуется использовать совместно с <a class='epic' href='?shop=hydropinics'>Гидропоникой</a>.
</div>
<div class='pt'>
<img width='16' height='16' src='images/icons/advice.png' alt='o'>
Арендовать Пугало за монеты можно только через
12 часов после окончания предыдущего срока
аренды.";
if($ku['scarecrow_day']>$time)echo "До следующей аренды за монеты осталось: <span
class='title'>".time_left($ku['scarecrow_day']-$time)."</span>.";
echo "</div><div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'>
<a href='?shop'>В магазин</a>
</div>
</div>
";
include_once 'inc/foot.php';
?>